Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.value
Class StringToDouble11

    java.lang.Object
      net.sf.saxon.type.StringToDouble
          net.sf.saxon.value.StringToDouble11

All Implemented Interfaces:
  Serializable

    public class StringToDouble11

extends StringToDouble

Convert a string to a double using the rules of XML Schema 1.1

See Also:
  Serialized Form

Constructor Summary
`protected` | `StringToDouble11()`

Method Summary
`static StringToDouble11` | `getInstance()` Get the singleton instance
`protected double` | `signedPositiveInfinity()`

Methods inherited from class net.sf.saxon.type.StringToDouble
`stringToNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToDouble11

    protected StringToDouble11()

Method Detail

### getInstance

    public static StringToDouble11 getInstance()

  Get the singleton instance

  Returns:
    the singleton instance of this class

### signedPositiveInfinity

    protected double signedPositiveInfinity()

  Overrides:
    `signedPositiveInfinity` in class `StringToDouble`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.